<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686) [Netscape]">
   <title>LDAS Software Test Suite</title>
</head>
<body>

    <center><h1>LDAS Testing Results</h1></center>
    <ul>
    <li>
    <a href="http://www.ldas-dev.ligo.caltech.edu/cgi-bin/create_nightly_test_index.cgi">Nightly Unit Testing</a>
    <li>
    <a href="/~install/nightly_test_results/index.html">Nightly Loop Testing</a>
    <li>
    <a href="/ldas_outgoing/logs/cmonClient">Recent Test Reports ( requested via cmonClient Jobs -&gt; Test Report )</a>        
    <li>
    <a href="/ldas_outgoing/logs/archive/cmonClient">Archived Test Reports ( archived via cmonClient Jobs -&gt; Test Report )</a>        
    <li>
    <a href="/doc/testing/system_results/system_test_archive.html">Integrated System Testing</a>
    <li>
    <a href="/doc/testing/testing_quick_ref.html">System Testing Quick Reference</a>
    </ul>
    
   	<center><h1>LDAS Tests How To's</h1></center>
    <ul>
        <li><a href="/doc/testing/nightly_loop_test.html">How to run the nightly loop test</a></li>
        <li><a href="/doc/testing/nightly_loop_test.html#TestReport">How to generate a Test Report</a></li>
        <li><a href="rsync_builds.html">How to rsync builds from ldas-dev to ldas-test</a></li>
        <li><a href="system_test.html">Testing with ldas system test harness</a></li>
    </ul>
<center>
<h1>
LDAS Software Test Suite</h1></center>
Below is a list of current system tests categorized by the main API a test is applied. The tests that have an active link are
documented. The documentation for the other tests is yet to be written.
<p>Note:
<ul>
<li>All test scripts can be checked out from ldas cvs repository. Most of them reside under directories <b>ldas/api/test/System</b> or
<b>ldas/api/test/System/loop</b>.</li>
<li>Some scripts require ldas genericAPI package e.g. for gps time conversion so /ldas should be installed
on your local system if you are running some tests from there. </li>
<li>Currently, ligotools package is being used to submit LDAS jobs in testing.  Make sure ligotools package is mounted
on your ldas system and/or on your local platform as some test can be submitted from your machine.
<pre>
        ldas:ldas:ldas-dev.ldas-dev:test> df /ligotools
        Filesystem           1K-blocks      Used Available Use% Mounted on
        /dev/dsk/c3t1d0s6    498316151 326700089 171616062  66% /export
        </pre>
        Set up a default ldas account and password via ligotools utility <i>ldaspw</i>.
 </li><p>
<li>Some tests are run from the ldas system machines to automate result checking. </li>
<li>There are common scripts used by tests, they should be placed in the same script directory as the test script.<p>
    <pre><font color='brown'>
    testlib.tcl </pre>
</li>    
<ul>
</ul>
<p>
<li>
<b>GenericAPI</b></li>
<ul>
<li>
<a href="datasock.html">Datasocket test</a></li>
</ul>
<p>
<li>
<b>diskcacheAPI</b></li>
<ul><li><a href="dcmangle.html">Mangle Mount points</a></li>
</ul>
<p>
<li>
<b>FrameAPI</b></li>
<ul>
<li><a href="frame2ilwd.html">Frame to ILWD test</a></li>
<li><a href="frameAccessors.html">Frame Accessors test</a></li>
<li><a href="frameGaps.html">Frame Gap test</a></li>
<li><a href="frameDTCheck.html">Frame DT check test</a></li>
<li><a href="frameFrtest.html">Frame Multi-type/Size test</a></li>
<li><a href="compression.html">Frame compression test</a></li>
<li><a href="complex_data.html">Frame complex data test</a></li>
<li><a href="createRDS.html">create RDS frames</a></li>
<li><a href="verifyRDS.html">verify RDS frames</a></li>
<li><a href="ndasframes.html">ndas frames</a></li>
<li><a href="geotest.html">GEO frames</a></li>
</ul>
<p>
<li>
<p><b>MetadataAPI</b></li>
<ul>
<li><a href="metadata.html">Database insertion, query and validation test</a></li>
<li><a href="SeqInsertdmt.html">DMT via SeqInsert</a></li>
<li><a href="dmtLoop.html">DMT Looping Test via SeqInsert</a></li>
<li><a href="miscdatabase.html">Miscellaneous conditions tests<a></li>
<li><a href="descMetaData.html">descMetaData test<a></li>
</ul>
<p>
<li>
<p><b>LightweightAPI</b></li>
<ul>
<li><a href="LwILwdtest.html">LIGO_LW <-> ILWD conversion test</a></li>
<li><a href="ilwd2xml.html">LIGO_LW <-> ILWD conversion of LDAS database tables test</a></li>
</ul>
<p>
<li>
<p><b>EventMonitorAPI</b></li>
<ul>
<li><a href="putStandAlone.html">putStandAlone Exception Test</a></li>
</ul>
<p>
<li>
<b>DatacondAPI</b></li>
<ul>
<li><a href="TestingDataCondMDC.html">DatacondAPI MDC test</a></li>
<li><a href="dcmean.html">Memory Check test</a></li>
<li><a href="dc2frame.html">condition data to frame test</a></li>
<li><a href="procReadWrite.html">Frame FrProc read/write test</a></li>
</ul>
<p>
<li>
<b>MPI/WrapperAPI</b></li>
    <ul>
        <li><a href="wrapperState.html">Wrapper State test</a></li>
        <li><a href="unofficialDSO.html">Unofficial DSO test</a></li>
    </ul>
<p>
<li><b>All APIs</b></li>
    <ul>
        <li><a href="dataPipeline.html">dataPipeline Loops</a></li>
        <li><a href="dbMatrix.html">dataPipeline with metadata options</a></li>
        <li><a href="data-putStandAlone.html">data/putStandAlone</a></li>
    </ul>
<p>
<li><b>Miscellanous</b></li>
    <ul>
        <li><a href="regression.html">Miscellanous PR fix conditions</a></li>
        <li><a href="linkCheck.html">link check</a></li>
        <li><a href="lsync.html">lsync test</a></li>
    </ul>
</li>
</ul>
<p>
</body>
</html>
